Bug 176979 - [MAINTAINER] games/hitori: update to 0.4.0
[MAINTAINER] games/hitori: update to 0.4.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: beech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-15 02:40 UTC by nemysis
Modified: 2013-03-17 03:10 UTC (History)
0 users

See Also:


Attachments
hitori-0.4.0.patch (10.83 KB, patch)
2013-03-15 02:40 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-15 02:40:00 UTC
- Update to 0.4.0

Added file(s):
- files/patch-src-interface.c

Makefile changed:
+		itstool:${PORTSDIR}/textproc/itstool
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/

Changed and refined:
 pkg-plist

Generated and tested manually, tested with port test, sent with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 Edwin Groothuis freebsd_committer 2013-03-15 02:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 beech freebsd_committer 2013-03-16 17:40:20 UTC
State Changed
From-To: open->closed

Committed by pawel@
Comment 3 beech freebsd_committer 2013-03-16 18:11:13 UTC
State Changed
From-To: closed->feedback

Closed by mistake, issues still pending
Comment 4 beech freebsd_committer 2013-03-17 02:16:42 UTC
State Changed
From-To: feedback->closed

Approved by maintainer
Comment 5 dfilter freebsd_committer 2013-03-17 03:05:23 UTC
Author: beech
Date: Sun Mar 17 03:05:09 2013
New Revision: 314389
URL: http://svnweb.freebsd.org/changeset/ports/314389

Log:
  - Update to 0.4.0
  
  PR:		ports/176979
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Added:
  head/games/hitori/files/
  head/games/hitori/files/patch-src-interface.c   (contents, props changed)
Modified:
  head/games/hitori/Makefile
  head/games/hitori/distinfo   (contents, props changed)
  head/games/hitori/pkg-plist   (contents, props changed)

Modified: head/games/hitori/Makefile
==============================================================================
--- head/games/hitori/Makefile	Sat Mar 16 22:12:53 2013	(r314388)
+++ head/games/hitori/Makefile	Sun Mar 17 03:05:09 2013	(r314389)
@@ -1,10 +1,11 @@
-# Created by: nemysis@gmx.ch
+# Created by: nemysis <nemysis@gmx.ch>
 # $FreeBSD$
 
 PORTNAME=	hitori
-PORTVERSION=	0.3.2
+PORTVERSION=	0.4.0
 CATEGORIES=	games
 MASTER_SITES=	GNOME
+DIST_SUBDIR=	gnome2
 
 MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Logic game similar to Sudoku
@@ -15,7 +16,8 @@ LICENSE_NAME_CCbyNCSA3=	Attribution-NonC
 LICENSE_FILE_CCbyNCSA3=	${WRKSRC}/COPYING-DOCS
 LICENSE_PERMS_CCbyNCSA3=dist-mirror pkg-mirror auto-accept
 
-BUILD_DEPENDS=	xml2po:${PORTSDIR}/textproc/gnome-doc-utils
+BUILD_DEPENDS=	xml2po:${PORTSDIR}/textproc/gnome-doc-utils \
+		itstool:${PORTSDIR}/textproc/itstool
 LIB_DEPENDS=	cairo:${PORTSDIR}/graphics/cairo
 
 USE_XZ=		yes
@@ -27,6 +29,8 @@ INSTALLS_ICONS=	yes
 
 PORTDOCS=	AUTHORS ChangeLog MAINTAINERS NEWS README
 
+OPTIONS_DEFINE=	NLS
+
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MNLS}
@@ -44,7 +48,7 @@ post-patch:
 .endif
 
 post-install:
-	${INSTALL_DATA} ${WRKSRC}/data/icons/48x48/${PORTNAME}.png ${PREFIX}/share/pixmaps/${PORTNAME}.png
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
 
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}

Modified: head/games/hitori/distinfo
==============================================================================
--- head/games/hitori/distinfo	Sat Mar 16 22:12:53 2013	(r314388)
+++ head/games/hitori/distinfo	Sun Mar 17 03:05:09 2013	(r314389)
@@ -1,2 +1,2 @@
-SHA256 (hitori-0.3.2.tar.xz) = 9e72bb0c84b0e0b66a96fcee6918cf15832f45458df4d8dd5f8091a20bba4350
-SIZE (hitori-0.3.2.tar.xz) = 457752
+SHA256 (gnome2/hitori-0.4.0.tar.xz) = 5d9e1c0f5d33c960167a126242bf57ff4865a6aaf6602da4a25aae56dc491030
+SIZE (gnome2/hitori-0.4.0.tar.xz) = 448052

Added: head/games/hitori/files/patch-src-interface.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/hitori/files/patch-src-interface.c	Sun Mar 17 03:05:09 2013	(r314389)
@@ -0,0 +1,10 @@
+--- src/interface.c.orig	2012-09-29 03:47:48.000000000 +0200
++++ src/interface.c	2012-11-02 15:11:34.000000000 +0100
+@@ -26,6 +26,7 @@
+ #include "main.h"
+ #include "interface.h"
+ #include "rules.h"
++#include <string.h>
+ 
+ #define NORMAL_FONT_SCALE 0.9
+ #define PAINTED_FONT_SCALE 0.6

Modified: head/games/hitori/pkg-plist
==============================================================================
--- head/games/hitori/pkg-plist	Sat Mar 16 22:12:53 2013	(r314388)
+++ head/games/hitori/pkg-plist	Sun Mar 17 03:05:09 2013	(r314389)
@@ -1,75 +1,82 @@
 bin/hitori
 share/applications/hitori.desktop
-share/gnome/help/hitori/C/customization.page
-share/gnome/help/hitori/C/figures/hitori_main_window.png
-share/gnome/help/hitori/C/game.page
-share/gnome/help/hitori/C/index.page
-share/gnome/help/hitori/C/license.page
-share/gnome/help/hitori/C/playing.page
-share/gnome/help/hitori/C/strategy.page
-share/gnome/help/hitori/cs/customization.page
-share/gnome/help/hitori/cs/figures/hitori_main_window.png
-share/gnome/help/hitori/cs/game.page
-share/gnome/help/hitori/cs/index.page
-share/gnome/help/hitori/cs/license.page
-share/gnome/help/hitori/cs/playing.page
-share/gnome/help/hitori/cs/strategy.page
-share/gnome/help/hitori/da/customization.page
-share/gnome/help/hitori/da/figures/hitori_main_window.png
-share/gnome/help/hitori/da/game.page
-share/gnome/help/hitori/da/index.page
-share/gnome/help/hitori/da/license.page
-share/gnome/help/hitori/da/playing.page
-share/gnome/help/hitori/da/strategy.page
-share/gnome/help/hitori/de/customization.page
-share/gnome/help/hitori/de/figures/hitori_main_window.png
-share/gnome/help/hitori/de/game.page
-share/gnome/help/hitori/de/index.page
-share/gnome/help/hitori/de/license.page
-share/gnome/help/hitori/de/playing.page
-share/gnome/help/hitori/de/strategy.page
-share/gnome/help/hitori/en_GB/customization.page
-share/gnome/help/hitori/en_GB/figures/hitori_main_window.png
-share/gnome/help/hitori/en_GB/game.page
-share/gnome/help/hitori/en_GB/index.page
-share/gnome/help/hitori/en_GB/license.page
-share/gnome/help/hitori/en_GB/playing.page
-share/gnome/help/hitori/en_GB/strategy.page
-share/gnome/help/hitori/es/customization.page
-share/gnome/help/hitori/es/figures/hitori_main_window.png
-share/gnome/help/hitori/es/game.page
-share/gnome/help/hitori/es/index.page
-share/gnome/help/hitori/es/license.page
-share/gnome/help/hitori/es/playing.page
-share/gnome/help/hitori/es/strategy.page
-share/gnome/help/hitori/fr/customization.page
-share/gnome/help/hitori/fr/figures/hitori_main_window.png
-share/gnome/help/hitori/fr/game.page
-share/gnome/help/hitori/fr/index.page
-share/gnome/help/hitori/fr/license.page
-share/gnome/help/hitori/fr/playing.page
-share/gnome/help/hitori/fr/strategy.page
-share/gnome/help/hitori/sl/customization.page
-share/gnome/help/hitori/sl/figures/hitori_main_window.png
-share/gnome/help/hitori/sl/game.page
-share/gnome/help/hitori/sl/index.page
-share/gnome/help/hitori/sl/license.page
-share/gnome/help/hitori/sl/playing.page
-share/gnome/help/hitori/sl/strategy.page
-share/gnome/help/hitori/sv/customization.page
-share/gnome/help/hitori/sv/figures/hitori_main_window.png
-share/gnome/help/hitori/sv/game.page
-share/gnome/help/hitori/sv/index.page
-share/gnome/help/hitori/sv/license.page
-share/gnome/help/hitori/sv/playing.page
-share/gnome/help/hitori/sv/strategy.page
-share/gnome/help/hitori/zh_CN/customization.page
-share/gnome/help/hitori/zh_CN/figures/hitori_main_window.png
-share/gnome/help/hitori/zh_CN/game.page
-share/gnome/help/hitori/zh_CN/index.page
-share/gnome/help/hitori/zh_CN/license.page
-share/gnome/help/hitori/zh_CN/playing.page
-share/gnome/help/hitori/zh_CN/strategy.page
+share/help/C/hitori/customization.page
+share/help/C/hitori/figures/hitori_main_window.png
+share/help/C/hitori/game.page
+share/help/C/hitori/index.page
+share/help/C/hitori/license.page
+share/help/C/hitori/playing.page
+share/help/C/hitori/strategy.page
+share/help/cs/hitori/customization.page
+share/help/cs/hitori/figures/hitori_main_window.png
+share/help/cs/hitori/game.page
+share/help/cs/hitori/index.page
+share/help/cs/hitori/license.page
+share/help/cs/hitori/playing.page
+share/help/cs/hitori/strategy.page
+share/help/da/hitori/customization.page
+share/help/da/hitori/figures/hitori_main_window.png
+share/help/da/hitori/game.page
+share/help/da/hitori/index.page
+share/help/da/hitori/license.page
+share/help/da/hitori/playing.page
+share/help/da/hitori/strategy.page
+share/help/de/hitori/customization.page
+share/help/de/hitori/figures/hitori_main_window.png
+share/help/de/hitori/game.page
+share/help/de/hitori/index.page
+share/help/de/hitori/license.page
+share/help/de/hitori/playing.page
+share/help/de/hitori/strategy.page
+share/help/en_GB/hitori/customization.page
+share/help/en_GB/hitori/figures/hitori_main_window.png
+share/help/en_GB/hitori/game.page
+share/help/en_GB/hitori/index.page
+share/help/en_GB/hitori/license.page
+share/help/en_GB/hitori/playing.page
+share/help/en_GB/hitori/strategy.page
+share/help/es/hitori/customization.page
+share/help/es/hitori/figures/hitori_main_window.png
+share/help/es/hitori/game.page
+share/help/es/hitori/index.page
+share/help/es/hitori/license.page
+share/help/es/hitori/playing.page
+share/help/es/hitori/strategy.page
+share/help/fr/hitori/customization.page
+share/help/fr/hitori/figures/hitori_main_window.png
+share/help/fr/hitori/game.page
+share/help/fr/hitori/index.page
+share/help/fr/hitori/license.page
+share/help/fr/hitori/playing.page
+share/help/fr/hitori/strategy.page
+share/help/ro/hitori/customization.page
+share/help/ro/hitori/figures/hitori_main_window.png
+share/help/ro/hitori/game.page
+share/help/ro/hitori/index.page
+share/help/ro/hitori/license.page
+share/help/ro/hitori/playing.page
+share/help/ro/hitori/strategy.page
+share/help/sl/hitori/customization.page
+share/help/sl/hitori/figures/hitori_main_window.png
+share/help/sl/hitori/game.page
+share/help/sl/hitori/index.page
+share/help/sl/hitori/license.page
+share/help/sl/hitori/playing.page
+share/help/sl/hitori/strategy.page
+share/help/sv/hitori/customization.page
+share/help/sv/hitori/figures/hitori_main_window.png
+share/help/sv/hitori/game.page
+share/help/sv/hitori/index.page
+share/help/sv/hitori/license.page
+share/help/sv/hitori/playing.page
+share/help/sv/hitori/strategy.page
+share/help/zh_CN/hitori/customization.page
+share/help/zh_CN/hitori/figures/hitori_main_window.png
+share/help/zh_CN/hitori/game.page
+share/help/zh_CN/hitori/index.page
+share/help/zh_CN/hitori/license.page
+share/help/zh_CN/hitori/playing.page
+share/help/zh_CN/hitori/strategy.page
 %%DATADIR%%/hitori.ui
 share/icons/hicolor/16x16/apps/hitori.png
 share/icons/hicolor/22x22/apps/hitori.png
@@ -111,28 +118,39 @@ share/pixmaps/hitori.png
 @dirrmtry share/icons/hicolor/16x16
 @dirrmtry share/icons/hicolor
 @dirrmtry share/icons
-@dirrmtry %%DATADIR%%
-@dirrmtry share/gnome/help/hitori/zh_CN/figures
-@dirrmtry share/gnome/help/hitori/zh_CN
-@dirrmtry share/gnome/help/hitori/sv/figures
-@dirrmtry share/gnome/help/hitori/sv
-@dirrmtry share/gnome/help/hitori/sl/figures
-@dirrmtry share/gnome/help/hitori/sl
-@dirrmtry share/gnome/help/hitori/fr/figures
-@dirrmtry share/gnome/help/hitori/fr
-@dirrmtry share/gnome/help/hitori/es/figures
-@dirrmtry share/gnome/help/hitori/es
-@dirrmtry share/gnome/help/hitori/en_GB/figures
-@dirrmtry share/gnome/help/hitori/en_GB
-@dirrmtry share/gnome/help/hitori/de/figures
-@dirrmtry share/gnome/help/hitori/de
-@dirrmtry share/gnome/help/hitori/da/figures
-@dirrmtry share/gnome/help/hitori/da
-@dirrmtry share/gnome/help/hitori/cs/figures
-@dirrmtry share/gnome/help/hitori/cs
-@dirrmtry share/gnome/help/hitori/C/figures
-@dirrmtry share/gnome/help/hitori/C
-@dirrmtry share/gnome/help/hitori
-@dirrmtry share/gnome/help
-@dirrmtry share/gnome
+@dirrm %%DATADIR%%
+@dirrmtry share/help/zh_CN/hitori/figures
+@dirrmtry share/help/zh_CN/hitori
+@dirrmtry share/help/zh_CN
+@dirrmtry share/help/sv/hitori/figures
+@dirrmtry share/help/sv/hitori
+@dirrmtry share/help/sv
+@dirrmtry share/help/sl/hitori/figures
+@dirrmtry share/help/sl/hitori
+@dirrmtry share/help/sl
+@dirrmtry share/help/ro/hitori/figures
+@dirrmtry share/help/ro/hitori
+@dirrmtry share/help/ro
+@dirrmtry share/help/fr/hitori/figures
+@dirrmtry share/help/fr/hitori
+@dirrmtry share/help/fr
+@dirrmtry share/help/es/hitori/figures
+@dirrmtry share/help/es/hitori
+@dirrmtry share/help/es
+@dirrmtry share/help/en_GB/hitori/figures
+@dirrmtry share/help/en_GB/hitori
+@dirrmtry share/help/en_GB
+@dirrmtry share/help/de/hitori/figures
+@dirrmtry share/help/de/hitori
+@dirrmtry share/help/de
+@dirrmtry share/help/da/hitori/figures
+@dirrmtry share/help/da/hitori
+@dirrmtry share/help/da
+@dirrmtry share/help/cs/hitori/figures
+@dirrmtry share/help/cs/hitori
+@dirrmtry share/help/cs
+@dirrmtry share/help/C/hitori/figures
+@dirrmtry share/help/C/hitori
+@dirrmtry share/help/C
+@dirrmtry share/help
 @dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"